This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1021784 - (CVE-2013-4455) CVE-2013-4455 Katello: node-installer creates world readable private key file
CVE-2013-4455 Katello: node-installer creates world readable private key file
Status: CLOSED CANTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131021,repor...
: Security
Depends On: 1021119
Blocks: 1021787
  Show dependency treegraph
 
Reported: 2013-10-22 02:09 EDT by Garth Mollett
Modified: 2014-08-29 12:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-25 01:46:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garth Mollett 2013-10-22 02:09:45 EDT
Dominic Cleal reports:

/etc/pki/tls/private/katello-node.key is created in the apache::certs class in node-installer when a child Pulp node is deployed.

It contains the private key for the node, that's normally kept in files with 0600 permissions.
Comment 4 Kurt Seifried 2013-10-25 15:58:28 EDT
Added a patch accidentally to this BZ entry, removed.
Comment 6 Kurt Seifried 2014-06-25 01:46:22 EDT
This was verified and delivered with Satellite 6 MDP2. Upstream has also been addressed.

Note You need to log in before you can comment on or make changes to this bug.